%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A minicmd-plugin for the Xfce panel
Name:		xfce4-verve-plugin
Version:	2.0.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-verve-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-verve-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.12.0
Requires:	exo

%description
This plugin is like the (quite old) xfce4-minicmd-plugin, except that it
feature more cool features, like autocompletion and command history.

%prep
%autosetup -Sgit_am -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README* THANKS
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_libdir}/xfce4/panel/plugins/libverve.so


%changelog
* Mon Dec 28 2020 wally <wally> 2.0.1-1.mga8
+ Revision: 1664518
- new version 2.0.1

* Sat Oct 31 2020 wally <wally> 2.0.0-4.mga8
+ Revision: 1641012
- add patches to fix build with autoconf > 2.69 and xfce4-panel 4.15
- update URL

* Fri Feb 14 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1518659
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1301889
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 wally <wally> 2.0.0-1.mga7
+ Revision: 1219353
- new version 2.0.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 963585
- Mageia 6 Mass Rebuild

* Sun Jul 12 2015 wally <wally> 1.1.0-1.mga6
+ Revision: 853402
- new version 1.1.0
- drop upstreamed str fmt patch

* Sun Jun 21 2015 wally <wally> 1.0.1-1.mga6
+ Revision: 837968
- new version 1.0.1
- drop unneeded patches

* Tue Mar 03 2015 wally <wally> 1.0.0-12.mga5
+ Revision: 817459
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-11.mga5
+ Revision: 744249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 690638
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-9.mga4
+ Revision: 520539
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-8.mga3
+ Revision: 386873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.0.0-7.mga3
+ Revision: 338211
- add patch to fix build with automake 1.13
- fix file list after %%_libexecdir change

* Sat Dec 01 2012 fwang <fwang> 1.0.0-6.mga3
+ Revision: 323862
- rebuild for new pcre

* Sun Jun 17 2012 wally <wally> 1.0.0-5.mga3
+ Revision: 261131
- port to libxfce4ui (patch from PLD Linux)
- add patch to fix build (from PLD Linux)
- add patch fix str fmt introduced by libxfce4ui patch

* Tue May 29 2012 wally <wally> 1.0.0-4.mga3
+ Revision: 249330
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190070
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54197
- add missing define (Mandriva)
- imported package xfce4-verve-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632787
- update to new version 1.0.0
- update url for Source0
- fix docs list

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-4mdv2010.1
+ Revision: 543445
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.3.6-3mdv2010.0
+ Revision: 446154
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-2mdv2009.1
+ Revision: 349538
- rebuild for xfce-4.6.0

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 306384
- update to new version 0.3.6
- new license policy
- spec file clean
- change name to be closer with upstream

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-7mdv2009.1
+ Revision: 294987
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-6mdv2009.0
+ Revision: 262428
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-5mdv2009.0
+ Revision: 257039
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.5-3mdv2008.1
+ Revision: 111063
- Fix BuildRequires and Requires

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-2mdv2008.0
+ Revision: 33271
- spec file clean

